import java.awt.Canvas;

public class Class566 {

   Class253 aClass253_7506;
   public static Class546 aClass546_7507 = new Class546();
   Class564 aClass564_7508 = new Class564(64);
   Class524 aClass524_7509;
   static int anInt7510;


   public Class546 method12003(int var1) {
      Class564 var2 = this.aClass564_7508;
      Class546 var3;
      synchronized(var2) {
         var3 = (Class546)this.aClass564_7508.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_7506;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_7506.method4547(Class115.aClass115_1114.anInt1177 * 2022937823, var1, (byte)3);
         }

         var3 = new Class546();
         var3.aClass566_7389 = this;
         if(null != var10) {
            var3.method11734(new RS2Buffer(var10), 1940945966);
         }

         Class564 var11 = this.aClass564_7508;
         synchronized(var11) {
            this.aClass564_7508.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method12004(int var1) {
      Class564 var2 = this.aClass564_7508;
      synchronized(var2) {
         this.aClass564_7508.method11963(var1, (byte)-77);
      }
   }

   public void method12005(int var1) {
      Class564 var2 = this.aClass564_7508;
      synchronized(var2) {
         this.aClass564_7508.method11976((byte)45);
      }
   }

   public void method12006(int var1, int var2) {
      Class564 var3 = this.aClass564_7508;
      synchronized(var3) {
         this.aClass564_7508.method11963(var1, (byte)-3);
      }
   }

   public Class546 method12007(int var1) {
      Class564 var2 = this.aClass564_7508;
      Class546 var3;
      synchronized(var2) {
         var3 = (Class546)this.aClass564_7508.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_7506;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_7506.method4547(Class115.aClass115_1114.anInt1177 * 2022937823, var1, (byte)11);
         }

         var3 = new Class546();
         var3.aClass566_7389 = this;
         if(null != var10) {
            var3.method11734(new RS2Buffer(var10), 2079265030);
         }

         Class564 var11 = this.aClass564_7508;
         synchronized(var11) {
            this.aClass564_7508.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class546 method12008(int var1, byte var2) {
      Class564 var3 = this.aClass564_7508;
      Class546 var4;
      synchronized(var3) {
         var4 = (Class546)this.aClass564_7508.method11959((long)var1);
      }

      if(var4 != null) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_7506;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_7506.method4547(Class115.aClass115_1114.anInt1177 * 2022937823, var1, (byte)65);
         }

         var4 = new Class546();
         var4.aClass566_7389 = this;
         if(null != var12) {
            var4.method11734(new RS2Buffer(var12), 1972345518);
         }

         Class564 var11 = this.aClass564_7508;
         synchronized(var11) {
            this.aClass564_7508.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public void method12009() {
      Class564 var1 = this.aClass564_7508;
      synchronized(var1) {
         this.aClass564_7508.method11968((short)-3836);
      }
   }

   public void method12010() {
      Class564 var1 = this.aClass564_7508;
      synchronized(var1) {
         this.aClass564_7508.method11976((byte)68);
      }
   }

   public void method12011() {
      Class564 var1 = this.aClass564_7508;
      synchronized(var1) {
         this.aClass564_7508.method11976((byte)48);
      }
   }

   public void method12012(int var1) {
      Class564 var2 = this.aClass564_7508;
      synchronized(var2) {
         this.aClass564_7508.method11968((short)-14593);
      }
   }

   public void method12013(int var1) {
      Class564 var2 = this.aClass564_7508;
      synchronized(var2) {
         this.aClass564_7508.method11963(var1, (byte)-70);
      }
   }

   public void method12014(int var1) {
      Class564 var2 = this.aClass564_7508;
      synchronized(var2) {
         this.aClass564_7508.method11963(var1, (byte)-26);
      }
   }

   public void method12015(int var1) {
      Class564 var2 = this.aClass564_7508;
      synchronized(var2) {
         this.aClass564_7508.method11963(var1, (byte)-102);
      }
   }

   public void method12016() {
      Class564 var1 = this.aClass564_7508;
      synchronized(var1) {
         this.aClass564_7508.method11968((short)-27621);
      }
   }

   public void method12017() {
      Class564 var1 = this.aClass564_7508;
      synchronized(var1) {
         this.aClass564_7508.method11968((short)-13811);
      }
   }

   public Class566(Class481 var1, Class470 var2, Class253 var3, Class524 var4) {
      this.aClass253_7506 = var3;
      this.aClass253_7506.method4514(Class115.aClass115_1114.anInt1177 * 2022937823, -1533280853);
      this.aClass524_7509 = var4;
   }

   public static int method12018(int var0) {
      Canvas var1 = new Canvas();
      var1.setSize(100, 100);
      Class545 var2 = Class177.method3118(0, var1, (Interface24)null, (Class253)null, 0, 1613724499);
      long var3 = Class339.method6240(-1261595957);

      int var5;
      for(var5 = 0; var5 < 10000; ++var5) {
         if(var0 >= 966741272) {
            ;
         }

         var2.method11585(5, 10, 100.0F, 75, 50, 100.0F, 15, 90, 100.0F, -65536, -65536, -65536, 1);
      }

      var5 = (int)(Class339.method6240(450040229) - var3);
      var2.method11465(0, 0, 100, 100, -16777216, -2125755863);
      var2.method11431(1306708189);
      return var5;
   }

   static final void method12019(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6023[1651565071 * var0.anInt6025];
      var0.anInt6005 -= var2 * -46848683;
      String var3 = Class554.method11831(var0.anObjectArray6004, var0.anInt6005 * 639741949, var2, -1463492875);
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3;
   }

   static final void method12020(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1031947221);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt1395 * -1873816095;
   }

   public static Class225_Sub29 method12021(int var0, int var1, int var2, int var3, int var4) {
      Class225_Sub29[] var5 = Class225_Sub29.aClass225_Sub29Array8651;
      synchronized(var5) {
         if(0 == 1648679537 * Class225_Sub29.anInt8646) {
            return new Class225_Sub29(var0, var1, var2, var3);
         } else {
            Class225_Sub29.aClass225_Sub29Array8651[(Class225_Sub29.anInt8646 -= 1988863633) * 1648679537].method13973(var0, var1, var2, var3, (short)-14931);
            return Class225_Sub29.aClass225_Sub29Array8651[Class225_Sub29.anInt8646 * 1648679537];
         }
      }
   }

   static void method12022(int var0, boolean var1, int var2) {
      Class225_Sub38 var3 = Class167_Sub1.method14830(var0, var1, -1030701238);
      if(var3 != null) {
         for(int var4 = 0; var4 < var3.anIntArray8715.length; ++var4) {
            var3.anIntArray8715[var4] = -1;
            var3.anIntArray8713[var4] = 0;
         }

      }
   }
}
